JavaScript is required to use Bungie.net

Evan

Evan

7/26/2014 1:10:38 AM
When looking at items to buy at the tower (gunsmith, vanguard) via the companion app, it needs to show what level is required to purchase it.
preload icon
preload icon
preload icon
You are not allowed to view this content.